From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/encfs/
Date: Tue, 29 Mar 2016 23:56:19 +0000 (UTC) [thread overview]
Message-ID: <1459296180.42d370f628d41c3297c2efaaae197cef74fe80d8.blueness@gentoo> (raw)
commit: 42d370f628d41c3297c2efaaae197cef74fe80d8
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 30 00:01:32 2016 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed Mar 30 00:03:00 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42d370f6
sys-fs/encfs: add libressl support
Package-Manager: portage-2.2.26
sys-fs/encfs/encfs-1.8.1-r1.ebuild | 51 ++++++++++++++++++++++++++++++++++++++
1 file changed, 51 insertions(+)
diff --git a/sys-fs/encfs/encfs-1.8.1-r1.ebuild b/sys-fs/encfs/encfs-1.8.1-r1.ebuild
new file mode 100644
index 0000000..de939a3
--- /dev/null
+++ b/sys-fs/encfs/encfs-1.8.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+inherit autotools eutils multilib
+
+DESCRIPTION="An implementation of encrypted filesystem in user-space using FUSE"
+HOMEPAGE="https://vgough.github.io/encfs/"
+SRC_URI="https://github.com/vgough/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~sparc ~x86"
+IUSE="xattr nls libressl"
+
+RDEPEND="dev-libs/boost:=
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ dev-libs/rlog
+ sys-fs/fuse
+ sys-libs/zlib"
+# Your libc probably provides xattrs, but to be safe
+# we'll dep on sys-apps/attr. This should be fixed
+# if we ever create a virtual/attr.
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ virtual/pkgconfig
+ xattr? ( sys-apps/attr )
+ nls? ( sys-devel/gettext )"
+
+src_prepare() {
+ eautoreconf
+}
+
+src_configure() {
+ # configure searches for either attr/xattr.h or sys/xattr.h
+ use xattr || export ac_cv_header_{attr,sys}_xattr_h=no
+
+ econf \
+ $(use_enable nls) \
+ --disable-valgrind \
+ --enable-openssl \
+ --disable-dependency-tracking
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog README.md
+ find "${D}" -name '*.la' -delete
+}
next reply other threads:[~2016-03-29 23:56 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-29 23:56 Anthony G. Basile [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-01-29 7:46 [gentoo-commits] repo/gentoo:master commit in: sys-fs/encfs/ Viorel Munteanu
2023-01-29 7:46 Viorel Munteanu
2022-12-25 22:40 Andreas Sturmlechner
2022-07-25 7:09 Agostino Sarubbo
2022-07-22 15:02 Anthony G. Basile
2022-07-22 14:59 Anthony G. Basile
2021-12-07 7:07 Sam James
2021-12-07 6:57 Sam James
2021-12-02 13:53 Arthur Zamarin
2021-12-02 13:53 Arthur Zamarin
2021-12-02 13:53 Arthur Zamarin
2021-05-02 17:47 Mikle Kolyada
2021-01-08 0:53 Sam James
2020-12-30 18:22 Anthony G. Basile
2020-10-16 11:12 Georgy Yakovlev
2019-07-28 21:21 Andreas Sturmlechner
2019-07-28 19:55 Mikle Kolyada
2019-06-14 15:01 Agostino Sarubbo
2019-06-14 9:25 Agostino Sarubbo
2018-09-04 18:38 Sergei Trofimovich
2018-05-17 19:05 Markus Meier
2018-05-02 16:33 Thomas Deutschmann
2018-04-29 21:53 Mikle Kolyada
2018-04-29 20:25 Sergei Trofimovich
2018-04-29 19:41 Sergei Trofimovich
2018-04-29 11:48 Anthony G. Basile
2018-04-29 11:36 Anthony G. Basile
2018-04-28 7:27 Mikle Kolyada
2018-04-13 2:04 Anthony G. Basile
2018-02-01 6:22 Anthony G. Basile
2018-01-18 15:56 Mikle Kolyada
2018-01-18 0:00 Anthony G. Basile
2017-07-25 19:47 Anthony G. Basile
2017-07-25 19:47 Anthony G. Basile
2017-07-25 19:47 Anthony G. Basile
2016-09-20 9:23 Anthony G. Basile
2016-09-16 8:50 Anthony G. Basile
2015-10-10 22:28 Anthony G. Basile
2015-08-14 12:31 Anthony G. Basile
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1459296180.42d370f628d41c3297c2efaaae197cef74fe80d8.blueness@gentoo \
--to=blueness@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox